package sets

func Chinese() (dict []int) {
	// CJK Unified Ideographs (Common)
	for i := 0x4E00; i <= 0x9FFF; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension A (Rare)
	for i := 0x3400; i <= 0x4DBF; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension B (Rare, historic)
	for i := 0x20000; i <= 0x2A6DF; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension C (Rare, historic)
	for i := 0x2A700; i <= 0x2B73F; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension D (Uncommon, some in current use)
	for i := 0x2B740; i <= 0x2B81F; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension E (Rare, historic)
	for i := 0x2B820; i <= 0x2CEAF; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension F (Rare, historic)
	for i := 0x2CEB0; i <= 0x2EBEF; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension G (Rare, historic)
	for i := 0x30000; i <= 0x3134F; i++ {
		dict = append(dict, i)
	}

	// CJK Unified Ideographs Extension H (Rare, historic)
	for i := 0x31350; i <= 0x323AF; i++ {
		dict = append(dict, i)
	}

	return
}
